## boost1.42 1.42.0-3maemo1

=== debian/changelog ===
boost1.42 (1.42.0-3maemo1) fremantle; urgency=low

  * Ported to Maemo 5
  * Removed MPI completely
  * Removed Python completely

 -- Daniel Spies <daniel.spies@fuceekay.com>  Thu, 07 Jul 2010 22:52:00 +0100
