=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Homepage: http://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Daniel Spies <daniel.spies@fuceekay.com>
 XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper (>= 7), bison, flex, docbook-to-man, xsltproc, doxygen, zlib1g-dev, libbz2-dev, libicu-dev, python-all-dev, python-support (>= 0.6)
+Build-Depends: debhelper (>= 5), bison, flex, docbook-to-man, xsltproc, doxygen, zlib1g-dev, libbz2-dev, libicu-dev, maemo-optify
 Build-Conflicts: boost-build, libopenmpi-dev (= 1.3.2-2)
 XS-Python-Version: >= 2.4
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost/trunk
 Standards-Version: 3.8.3
+XSBC-Bugtracker: mailto:daniel.spies@fuceekay.com
 
 Package: libboost1.42-dbg
 Architecture: any
@@ -38,11 +39,11 @@
 Suggests: libboost1.42-doc,
  libboost-date-time1.42-dev,
  libboost-filesystem1.42-dev,
+ libboost-graph-parallel1.42-dev,
  libboost-graph1.42-dev,
  libboost-iostreams1.42-dev,
  libboost-math1.42-dev,
  libboost-program-options1.42-dev,
- libboost-python1.42-dev,
  libboost-regex1.42-dev,
  libboost-serialization1.42-dev,
  libboost-signals1.42-dev,
@@ -68,10 +69,10 @@
  libboost-date-time1.40-dev (<= 1.40.0-2), 
  libboost-filesystem1.40-dev (<= 1.40.0-2), 
  libboost-graph1.40-dev (<= 1.40.0-2), 
+ libboost-graph-parallel1.40-dev (<= 1.40.0-2), 
  libboost-iostreams1.40-dev (<= 1.40.0-2), 
  libboost-math1.40-dev (<= 1.40.0-2), 
  libboost-program-options1.40-dev (<= 1.40.0-2), 
- libboost-python1.40-dev (<= 1.40.0-2), 
  libboost-regex1.40-dev (<= 1.40.0-2), 
  libboost-serialization1.40-dev (<= 1.40.0-2), 
  libboost-signals1.40-dev (<= 1.40.0-2), 
@@ -94,7 +95,7 @@
  boostbook and quickbook.
  .
  For the following subprojects separate packages exist: date-time,
- filesystem, graph, iostreams, math, program_options, python,
+ filesystem, graph, iostreams, math, mpi, program_options, python,
  regex, serialization, signals, system, test, thread, and wave.
 
 Package: libboost1.42-all-dev
@@ -105,10 +106,10 @@
  libboost-date-time1.42-dev, 
  libboost-filesystem1.42-dev, 
  libboost-graph1.42-dev, 
+ libboost-graph-parallel1.42-dev, 
  libboost-iostreams1.42-dev, 
  libboost-math1.42-dev, 
  libboost-program-options1.42-dev, 
- libboost-python1.42-dev, 
  libboost-regex1.42-dev, 
  libboost-serialization1.42-dev, 
  libboost-signals1.42-dev, 
@@ -267,7 +268,6 @@
 Homepage: http://www.boost.org/libs/iostreams/
 Architecture: any
 Section: libs
-Priority: important
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Boost.Iostreams Library
  This package forms part of the Boost C++ Libraries collection.
