## boost1.42 1.42.0-3maemo2

=== debian/changelog ===
boost1.42 (1.42.0-3maemo2) fremantle; urgency=low

  * Fixed dependencies

 -- Daniel Spies <daniel.spies@fuceekay.com>  Mon, 12 Jul 2010 13:53:00 +0100
