=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #! /usr/bin/make -f
+
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
 
 export DH_OPTIONS
 
@@ -14,9 +19,8 @@
 SHLIBS_VERSION = (>= 1.42.0-1)
 
 # Boost libraries for which we want separate packages
-boost_libs := date-time filesystem graph iostreams math \
-	program-options python regex serialization signals system test \
-	thread wave
+boost_libs := date-time filesystem graph-parallel graph iostreams math \
+	program-options regex serialization signals system test thread wave
 
 # these are special cases, where /usr/lib name differs from Boost library name
 boost_lib_math := math_c99 math_c99f math_tr1 math_tr1f
@@ -25,13 +29,14 @@
 boost_lib_test := prg_exec_monitor test_exec_monitor unit_test_framework
 
 # These are special cases for suffixes.  Generally come from --xpythonid, so begin with a dash.
-boost_suffixes_python := $(addprefix -py,$(subst .,,$(shell pyversions -rv)))
+#boost_suffixes_python := $(addprefix -py,$(subst .,,$(shell pyversions -rv)))
+#boost_suffixes_mpi-python := $(boost_suffixes_python)
 
 # Files that are generated by filtering a template
-filtered_files = \
-	debian/libboost-doc.doc-base \
-	debian/libboost-python-dev.postinst \
-	debian/libboost-python-dev.prerm
+#filtered_files = \
+#	debian/libboost-doc.doc-base \
+#	debian/libboost-python-dev.postinst \
+#	debian/libboost-python-dev.prerm
 
 # Function to map Boost component name to set of shared library names
 # Input: Boost component name
@@ -107,7 +112,6 @@
 	$(call add_dev_override,extra-license-file) \
 	$(call add_doc_override,description-synopsis-starts-with-a-capital-letter) \
 	$(call add_doc_override,extra-license-file) \
-	$(call add_libdev_override,python,,description-synopsis-starts-with-a-capital-letter) \
 	$(foreach l, $(boost_libs), \
 		echo "making debhelper files for $(l)..."; \
 		$(call add_lib_override,$(l),,package-name-doesnt-match-sonames) \
@@ -127,7 +131,6 @@
 else ifeq ($(DEB_BUILD_ARCH), arm)
 BUILD_LONG_DOUBLE = no
 else ifeq ($(DEB_BUILD_ARCH), armel)
-TOOLSET_CONFIG="using gcc : : : <compileflags>-D_REENTRANT <compileflags>-DG_ATOMIC_ARM_USE_GCC_INTRINSICS ;"
 BUILD_LONG_DOUBLE = no
 else ifeq ($(DEB_BUILD_ARCH), mips)
 BUILD_LONG_DOUBLE = no
@@ -143,40 +146,42 @@
 JAM_OPT += --disable-long-double
 endif
 
+MPI_CONFIG = "using mpi ;"
+
 exampledir = debian/libboost$(PKGVERSION)-doc/usr/share/doc/libboost$(PKGVERSION)-doc/examples
 htmldir = debian/libboost$(PKGVERSION)-doc/usr/share/doc/libboost$(PKGVERSION)-doc/HTML
-pyste_prefix = $(CURDIR)/debian/libboost-python$(PKGVERSION)-dev/usr
 bjam = $(CURDIR)/bjam
 
 # FIXME: find a flag to disable reading /etc/site-config.jam
-JAM = $(bjam) $(JOBS) -d2 $(JAM_OPT) --layout=system --user-config=$(CURDIR)/user-config.jam debug-symbols=on
+JAM = $(bjam) $(JOBS) -d2 $(JAM_OPT) --layout=system --user-config=$(CURDIR)/user-config.jam debug-symbols=on --without-mpi --without-python
 
 $(bjam):
-	./bootstrap.sh --with-icu --prefix=$(CURDIR)/debian/tmp/usr
+	./bootstrap.sh --with-icu --prefix=$(CURDIR)/debian/tmp/usr --without-libraries=mpi,python
 
 user-config.jam:
 	echo $(TOOLSET_CONFIG) > $@
-	for pyver in $(filter-out $(shell pyversions -dv),$(shell pyversions -rv)); do \
-		echo "using python : $$pyver : /usr ;" >> $@; \
-	done
-
+	#echo $(PYTHON_CONFIG)  >> $@
+	#for pyver in $(filter-out $(shell pyversions -dv),$(shell pyversions -rv)); do \
+	#	echo "using python : $$pyver : /usr ;" >> $@; \
+	#done
+	
 build: build-stamp
 build-stamp: $(bjam) user-config.jam
 	dh_testdir
 
-	$(JAM) --without-python                        
-	for pyver in $(shell pyversions -rv); do \
-	 	pyid=$$(echo $$pyver | tr -d .); \
-		echo "Building Boost.Python for python version $pyver"; \
-	 	$(JAM) --with-python --xpythonid=py$$pyid python=$$pyver; \
-	done
+	$(JAM) --without-python --without-mpi
+	#for pyver in $(shell pyversions -rv); do \
+	# 	pyid=$$(echo $$pyver | tr -d .); \
+	#	echo "Building Boost.Python for python version $pyver"; \
+	# 	$(JAM) --with-python; \
+	#done
 
 	cd tools/bcp && $(JAM)
 	cd tools/inspect/build && $(JAM)
 	cd tools/quickbook && $(JAM)
 	cd tools/wave/build && $(JAM)
 	cd tools/regression/build && $(JAM)
-	cd libs/python/pyste/install && python setup.py build
+	#cd libs/python/pyste/install && python setup.py build
 
 	touch build-stamp
 
@@ -205,3 +210,5 @@
 	rm -rf bin.v2 dist
 	rm -rf user-config.jam
 
+	dh_clean build-stamp
+
