## boost1.42 1.42.0-3maemo3

=== debian/changelog ===
boost1.42 (1.42.0-3maemo3) fremantle; urgency=low

  * Bumped version to get rid of some problems in the repository.

 -- Daniel Spies <daniel.spies@fuceekay.com>  Mon, 19 Jul 2010 10:25:00 +0100
