=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
 Suggests: libboost1.42-doc,
  libboost-date-time1.42-dev,
  libboost-filesystem1.42-dev,
- libboost-graph-parallel1.42-dev,
  libboost-graph1.42-dev,
  libboost-iostreams1.42-dev,
  libboost-math1.42-dev,
@@ -69,7 +68,6 @@
  libboost-date-time1.40-dev (<= 1.40.0-2), 
  libboost-filesystem1.40-dev (<= 1.40.0-2), 
  libboost-graph1.40-dev (<= 1.40.0-2), 
- libboost-graph-parallel1.40-dev (<= 1.40.0-2), 
  libboost-iostreams1.40-dev (<= 1.40.0-2), 
  libboost-math1.40-dev (<= 1.40.0-2), 
  libboost-program-options1.40-dev (<= 1.40.0-2), 
@@ -106,7 +104,6 @@
  libboost-date-time1.42-dev, 
  libboost-filesystem1.42-dev, 
  libboost-graph1.42-dev, 
- libboost-graph-parallel1.42-dev, 
  libboost-iostreams1.42-dev, 
  libboost-math1.42-dev, 
  libboost-program-options1.42-dev, 
@@ -313,3 +310,5 @@
     can be built.
   * Mathematical Special Functions: Provides a small number of high quality 
     special functions, initially these were concentrated on functions used in 
+    statistical applications along with those in the Technical Report on 
+    C++ Library Extensions.
